/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.ws.notification;

/**
 * The get current message request response.
 *
 * @author chamerling - eBM WebSourcing
 *
 */
public class GetCurrentMessageResponse {

    /**
     * The current message
     */
    protected NotificationMessage currentMessage;

    /**
     * Creates a new instance of {@link GetCurrentMessageResponse}
     *
     * @param currentMessage
     */
    public GetCurrentMessageResponse(NotificationMessage currentMessage) {
        this.currentMessage = currentMessage;
    }

    /**
     * @return the currentMessage
     */
    public NotificationMessage getCurrentMessage() {
        return currentMessage;
    }

    /**
     * @param currentMessage
     *            the currentMessage to set
     */
    public void setCurrentMessage(NotificationMessage currentMessage) {
        this.currentMessage = currentMessage;
    }
}
